Query the Inter-Center Transfer system for transfers
curl --request GET \
--url https://api.example.com/api/v1/Transfers \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/v1/Transfers"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/v1/Transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSuccess": true,
"message": "<string>",
"payload": [
{
"headerId": "123",
"referenceNumber": "<string>",
"supplierReferenceNumber": "<string>",
"fromWarehouseCode": "GLW, WDI, PSO, SMA, SHW",
"fromWarehouseName": "Glenwillow, Green Island, Paso Robles, Santa Maria, Willamette Valley",
"toWarehouseCode": "GLW, WDI, PSO, SMA, SHW",
"toWarehouseName": "Glenwillow, Green Island, Paso Robles, Santa Maria, Willamette Valley",
"statusCode": "<string>",
"statusCodeName": "<string>",
"supplierId": "<string>",
"submittedDate": "2023-11-07T05:31:56Z",
"closedDate": "2023-11-07T05:31:56Z",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"expectedDate": "2023-11-07T05:31:56Z",
"inventories": [
{
"lineId": "<string>",
"inventoryItemId": "<string>",
"headerId": "<string>",
"lineNumber": "<string>",
"toSubInventoryCode": "<string>",
"toSubInventoryName": "<string>",
"fromSubInventoryCode": "<string>",
"fromSubInventoryName": "<string>",
"qtyTransferIn": 123,
"qtyTransferOut": 123,
"qtyReceived": 123,
"qtyShipped": 123,
"sku": "<string>",
"wineDirectSku": "<string>",
"description": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z"
}
]
}
]
}Query the Inter-Center Transfer system for transfers
GET
/
api
/
v1
/
Transfers
Query the Inter-Center Transfer system for transfers
Authorizations
Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'
Query Parameters
The Status of the transfers.
"ALL" - All
"NEW" - Draft
"INPROCESS" - Submitted
"INTRANSIT" - In Transit
"COMPLETE" - Complete
"CANCELLED" - Cancelled
"CLOSED" - Closed
Minimum string length:
2The start date for the query
Defaults to 30 days in the past if not set. eg 2022-03-15 (YYYY-MM-DD)
The end date for the query
Defaults to today if not set eg 2022-03-15 (YYYY-MM-DD)
SupplierId is the unique ID for the owner of items in the system
Minimum string length:
2The warehouse (Code)
"GLW" - Glenwillow,
"WDI" - Green Island,
"PSO" - Paso Robles,
"SMA" - Santa Maria,
"SHW" - Willamette Valley
"DAL" - Dallas
The warehouse (Code)
"GLW" - Glenwillow,
"WDI" - Green Island,
"PSO" - Paso Robles,
"SMA" - Santa Maria,
"SHW" - Willamette Valley
"DAL" - Dallas
Whether to restrict the search to Transfers that have not been assigned to Trucks
Defaults to False: (Return transfers either assigned or not yet assigned to a truck.)
Response
200 - application/json
Returns the Inter-Center Transfers
Was this page helpful?